<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_pages', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('title');
            $table->text('content')->nullable();
            $table->string('categories', 36)->nullable();
            $table->string('thumbnail')->nullable();
            $table->timestamp('post_date')->nullable();
            $table->boolean('post_status')->nullable();
            $table->string('posts_password')->nullable();
            $table->boolean('comment_status')->nullable();
            $table->integer('viewer')->nullable();
            $table->integer('comment_count')->nullable();
            $table->string('slug')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_pages');
    }
}
